<template>
  <div v-loading.fullscreen.lock="fullscreenLoading">
    <el-dialog
      :close-on-click-modal="false"
      :title="title"
      :visible.sync="isShow"
      width="800px"
      style="height: 800px"
      append-to-body
      :before-close="handleClose"
    >
      <div class="dialog-class">
        <div>{{ messagecontent }}</div>
        <div style="float: right; height: 100px;margin-top: 40px;">
          <span>{{ "审核人："+ senduserName}}</span>
          <div>{{ "审核时间："+sendTime }}</div>
        </div>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="isShow = false">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
import { listSystemmessage } from "@/api/project/message";
export default {
  data() {
    return {
      isShow: false,
      fullscreenLoading: false,
      title: "",
      messagecontent: "",
      senduserName:"",
      sendTime:"",
    };
  },
  methods: {
    init(id) {
      this.isShow = true;
      this.GetMessage(id);
    },
    GetMessage(id) {
      this.fullscreenLoading = true;
      listSystemmessage(id)
        .then((res) => {
          if (res.data != null) {
            this.title = res.data.messagetitle;
            this.messagecontent = res.data.messagecontent;
            this.senduserName=res.data.sendusername;
            this.sendTime=res.data.createTime;
            
          }
          console.log(res);
        })
        .catch((error) => {
          this.$message.error(error);
        })
        .finally(() => {
          this.fullscreenLoading = false;
        });
    },
    handleClose() {},
  },
};
</script>

<style>
.dialog-class {
  height: calc(100vh - 264px);
  overflow: auto;
  font-size: 15px;
  padding: 20px;
}
</style>